define("domite/DOMite-Tests", ["amber/boot", "amber_core/SUnit"], function($boot){
var $core=$boot.api,nil=$boot.nil,$recv=$boot.asReceiver,$globals=$boot.globals;
$core.addPackage('DOMite-Tests');
$core.packages["DOMite-Tests"].innerEval = function (expr) { return eval(expr); };
$core.packages["DOMite-Tests"].transport = {"type":"amd","amdNamespace":"domite"};

$core.addClass('DOMiteTest', $globals.TestCase, ['fixtureDiv'], 'DOMite-Tests');
$core.addMethod(
$core.method({
selector: "setUp",
protocol: 'fixture',
fn: function (){
var self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
self["@fixtureDiv"]=$recv(document)._createElement_("div");
$recv($recv(document)._body())._appendChild_(self["@fixtureDiv"]);
$recv(self["@fixtureDiv"])._setAttribute_to_("id","fixture");
$recv(self["@fixtureDiv"])._innerHTML_("sentinel");
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"setUp",{},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "setUp\x0a\x09fixtureDiv := document createElement: 'div'.\x0a\x09document body appendChild: fixtureDiv.\x0a\x09fixtureDiv setAttribute: 'id' to: 'fixture'.\x0a\x09fixtureDiv innerHTML: 'sentinel'",
referencedClasses: [],
//>>excludeEnd("ide");
messageSends: ["createElement:", "appendChild:", "body", "setAttribute:to:", "innerHTML:"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "tearDown",
protocol: 'fixture',
fn: function (){
var self=this;
var lastChild;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1;
$1=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=1;
//>>excludeEnd("ctx");
lastChild=$recv($1)._lastChild();
self._assert_equals_(lastChild,self["@fixtureDiv"]);
$recv($recv(document)._body())._removeChild_(lastChild);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"tearDown",{lastChild:lastChild},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "tearDown\x0a\x09| lastChild |\x0a\x09lastChild := document body lastChild.\x0a\x09self assert: lastChild equals: fixtureDiv.\x0a\x09document body removeChild: lastChild",
referencedClasses: [],
//>>excludeEnd("ide");
messageSends: ["lastChild", "body", "assert:equals:", "removeChild:"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testDefaultInsertElement",
protocol: 'testing',
fn: function (){
var self=this;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $3,$2,$1,$4;
$recv($recv($Domite())._new()).__lt_lt($recv($Domite())._newElement_("p"));
$3=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=1;
//>>excludeEnd("ctx");
$2=$recv($3)._innerHTML();
$1=$recv($2)._endsWith_("<p></p>");
self._assert_($1);
$4=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=2;
//>>excludeEnd("ctx");
$recv($4)._removeChild_($recv($recv(document)._body())._lastChild());
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testDefaultInsertElement",{},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testDefaultInsertElement\x0a\x09Domite new << (Domite newElement: 'p').\x0a\x09self assert: (document body innerHTML endsWith: '<p></p>').\x0a\x09document body removeChild: document body lastChild",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["<<", "new", "newElement:", "assert:", "endsWith:", "innerHTML", "body", "removeChild:", "lastChild"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testDefaultInsertString",
protocol: 'testing',
fn: function (){
var self=this;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $3,$2,$1,$4;
$recv($recv($Domite())._new()).__lt_lt("a foo in a bar");
$3=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=1;
//>>excludeEnd("ctx");
$2=$recv($3)._innerHTML();
$1=$recv($2)._endsWith_("a foo in a bar");
self._assert_($1);
$4=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=2;
//>>excludeEnd("ctx");
$recv($4)._removeChild_($recv($recv(document)._body())._lastChild());
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testDefaultInsertString",{},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testDefaultInsertString\x0a\x09Domite new << 'a foo in a bar'.\x0a\x09self assert: (document body innerHTML endsWith: 'a foo in a bar').\x0a\x09document body removeChild: document body lastChild",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["<<", "new", "assert:", "endsWith:", "innerHTML", "body", "removeChild:", "lastChild"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testDefaultInsertStringInFragment",
protocol: 'testing',
fn: function (){
var self=this;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $3,$2,$1,$4;
$recv($recv($Domite())._new()).__lt_lt($recv($recv($Domite())._newStream()).__lt_lt("a foo in a bar"));
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
$3=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=1;
//>>excludeEnd("ctx");
$2=$recv($3)._innerHTML();
$1=$recv($2)._endsWith_("a foo in a bar");
self._assert_($1);
$4=$recv(document)._body();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["body"]=2;
//>>excludeEnd("ctx");
$recv($4)._removeChild_($recv($recv(document)._body())._lastChild());
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testDefaultInsertStringInFragment",{},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testDefaultInsertStringInFragment\x0a\x09Domite new << (Domite newStream << 'a foo in a bar').\x0a\x09self assert: (document body innerHTML endsWith: 'a foo in a bar').\x0a\x09document body removeChild: document body lastChild",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["<<", "new", "newStream", "assert:", "endsWith:", "innerHTML", "body", "removeChild:", "lastChild"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testFromBadSelectorIsInvalid",
protocol: 'testing',
fn: function (){
var self=this;
var d;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1,$2;
d=$recv($Domite())._at_("#goo");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["at:"]=1;
//>>excludeEnd("ctx");
$1=$recv(d)._isInvalid();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["isInvalid"]=1;
//>>excludeEnd("ctx");
self._assert_($1);
d=$recv($Domite())._at_("body");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["at:"]=2;
//>>excludeEnd("ctx");
$2=$recv(d)._isInvalid();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["isInvalid"]=2;
//>>excludeEnd("ctx");
self._deny_($2);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["deny:"]=1;
//>>excludeEnd("ctx");
d=$recv($Domite())._at_("html body div#fixture");
self._deny_($recv(d)._isInvalid());
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testFromBadSelectorIsInvalid",{d:d},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testFromBadSelectorIsInvalid\x0a\x09| d |\x0a\x09d := Domite at: '#goo'.\x0a\x09self assert: d isInvalid.\x0a\x09d := Domite at: 'body'.\x0a\x09self deny: d isInvalid.\x0a\x09d := Domite at: 'html body div#fixture'.\x0a\x09self deny: d isInvalid",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["at:", "assert:", "isInvalid", "deny:"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertElement",
protocol: 'testing',
fn: function (){
var self=this;
var d;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._at_("html body div#fixture");
$recv(d).__lt_lt($recv($Domite())._newElement_("p"));
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinel<p></p></div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertElement",{d:d},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertElement\x0a\x09| d |\x0a\x09d := Domite at: 'html body div#fixture'.\x0a\x09d << (Domite newElement: 'p').\x0a\x09self assert: (document body innerHTML endsWith: '>sentinel<p></p></div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["at:", "<<", "newElement:", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertElementTwoLevel",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._fromElement_(self["@fixtureDiv"]);
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$recv(d).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$recv(p).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv(s).__lt_lt("dom-mite");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinel<p><span>dom-mite</span></p></div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertElementTwoLevel",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertElementTwoLevel\x0a\x09| d p s |\x0a\x09d := Domite fromElement: fixtureDiv.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << p.\x0a\x09s := Domite newElement: 'span'.\x0a\x09p << s.\x0a\x09s << 'dom-mite'.\x0a\x09self assert: (document body innerHTML endsWith: '>sentinel<p><span>dom-mite</span></p></div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["fromElement:", "newElement:", "<<", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertElementTwoLevelViaFragments",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1,$3,$2,$4,$6,$5;
d=$recv($Domite())._at_("#fixture");
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$1=d;
$3=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=1;
//>>excludeEnd("ctx");
$2=$recv($3).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv($1).__lt_lt($2);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$4=p;
$6=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=2;
//>>excludeEnd("ctx");
$5=$recv($6).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=4;
//>>excludeEnd("ctx");
$recv($4).__lt_lt($5);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=3;
//>>excludeEnd("ctx");
$recv(s).__lt_lt($recv($recv($Domite())._newStream()).__lt_lt("dom-mite"));
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=5;
//>>excludeEnd("ctx");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinel<p><span>dom-mite</span></p></div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertElementTwoLevelViaFragments",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertElementTwoLevelViaFragments\x0a\x09| d p s |\x0a\x09d := Domite at: '#fixture'.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << (Domite newStream << p).\x0a\x09s := Domite newElement: 'span'.\x0a\x09p << (Domite newStream << s).\x0a\x09s << (Domite newStream << 'dom-mite').\x0a\x09self assert: (document body innerHTML endsWith: '>sentinel<p><span>dom-mite</span></p></div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["at:", "newElement:", "<<", "newStream", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertElementTwoLevelViaTwoLevelFragments",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1,$3,$5,$4,$2,$6,$8,$10,$9,$7,$11,$13,$12;
d=$recv($Domite())._fromElement_(self["@fixtureDiv"]);
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$1=d;
$3=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=1;
//>>excludeEnd("ctx");
$5=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=2;
//>>excludeEnd("ctx");
$4=$recv($5).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=3;
//>>excludeEnd("ctx");
$2=$recv($3).__lt_lt($4);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv($1).__lt_lt($2);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$6=p;
$8=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=3;
//>>excludeEnd("ctx");
$10=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=4;
//>>excludeEnd("ctx");
$9=$recv($10).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=6;
//>>excludeEnd("ctx");
$7=$recv($8).__lt_lt($9);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=5;
//>>excludeEnd("ctx");
$recv($6).__lt_lt($7);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=4;
//>>excludeEnd("ctx");
$11=s;
$13=$recv($Domite())._newStream();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newStream"]=5;
//>>excludeEnd("ctx");
$12=$recv($13).__lt_lt($recv($recv($Domite())._newStream()).__lt_lt("dom-mite"));
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=8;
//>>excludeEnd("ctx");
$recv($11).__lt_lt($12);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=7;
//>>excludeEnd("ctx");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinel<p><span>dom-mite</span></p></div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertElementTwoLevelViaTwoLevelFragments",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertElementTwoLevelViaTwoLevelFragments\x0a\x09| d p s |\x0a\x09d := Domite fromElement: fixtureDiv.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << (Domite newStream << (Domite newStream << p)).\x0a\x09s := Domite newElement: 'span'.\x0a\x09p << (Domite newStream << (Domite newStream << s)).\x0a\x09s << (Domite newStream << (Domite newStream << 'dom-mite')).\x0a\x09self assert: (document body innerHTML endsWith: '>sentinel<p><span>dom-mite</span></p></div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["fromElement:", "newElement:", "<<", "newStream", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertString",
protocol: 'testing',
fn: function (){
var self=this;
var d;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._fromElement_(self["@fixtureDiv"]);
$recv(d).__lt_lt("a foo in a bar");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinela foo in a bar</div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertString",{d:d},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertString\x0a\x09| d |\x0a\x09d := Domite fromElement: fixtureDiv.\x0a\x09d << 'a foo in a bar'.\x0a\x09self assert: (document body innerHTML endsWith: '>sentinela foo in a bar</div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["fromElement:", "<<", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testInsertStringInFragment",
protocol: 'testing',
fn: function (){
var self=this;
var d;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._at_("#fixture");
$recv(d).__lt_lt($recv($recv($Domite())._newStream()).__lt_lt("a foo in a bar"));
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinela foo in a bar</div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testInsertStringInFragment",{d:d},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testInsertStringInFragment\x0a\x09| d |\x0a\x09d := Domite at: '#fixture'.\x0a\x09d << (Domite newStream << 'a foo in a bar').\x0a\x09self assert: (document body innerHTML endsWith: '>sentinela foo in a bar</div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["at:", "<<", "newStream", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testMultipleInserts",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._fromElement_(self["@fixtureDiv"]);
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$recv(d).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$recv(d).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv(d).__lt_lt("dom-mite");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">sentinel<p></p><span></span>dom-mite</div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testMultipleInserts",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testMultipleInserts\x0a\x09| d p s |\x0a\x09d := Domite fromElement: fixtureDiv.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << p.\x0a\x09s := Domite newElement: 'span'.\x0a\x09d << s.\x0a\x09d << 'dom-mite'.\x0a\x09self assert: (document body innerHTML endsWith: '>sentinel<p></p><span></span>dom-mite</div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["fromElement:", "newElement:", "<<", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testMultipleInsertsWithClear",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._at_("#fixture");
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$recv(d).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$recv(d).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv(d)._resetContents();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["resetContents"]=1;
//>>excludeEnd("ctx");
$recv(d).__lt_lt("dom-mite");
$recv(d)._resetContents();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["resetContents"]=2;
//>>excludeEnd("ctx");
$recv(d)._resetContents();
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_("></div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testMultipleInsertsWithClear",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testMultipleInsertsWithClear\x0a\x09| d p s |\x0a\x09d := Domite at: '#fixture'.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << p.\x0a\x09s := Domite newElement: 'span'.\x0a\x09d << s.\x0a\x09d resetContents.\x0a\x09d << 'dom-mite'.\x0a\x09d resetContents.\x0a\x09d resetContents.\x0a\x09self assert: (document body innerHTML endsWith: '></div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["at:", "newElement:", "<<", "resetContents", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);

$core.addMethod(
$core.method({
selector: "testMultipleInsertsWithClearInBetween",
protocol: 'testing',
fn: function (){
var self=this;
var d,p,s;
function $Domite(){return $globals.Domite||(typeof Domite=="undefined"?nil:Domite)}
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
d=$recv($Domite())._fromElement_(self["@fixtureDiv"]);
p=$recv($Domite())._newElement_("p");
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["newElement:"]=1;
//>>excludeEnd("ctx");
$recv(d).__lt_lt(p);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=1;
//>>excludeEnd("ctx");
s=$recv($Domite())._newElement_("span");
$recv(d).__lt_lt(s);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
$ctx1.sendIdx["<<"]=2;
//>>excludeEnd("ctx");
$recv(d)._resetContents();
$recv(d).__lt_lt("dom-mite");
self._assert_($recv($recv($recv(document)._body())._innerHTML())._endsWith_(">dom-mite</div>"));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"testMultipleInsertsWithClearInBetween",{d:d,p:p,s:s},$globals.DOMiteTest)});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "testMultipleInsertsWithClearInBetween\x0a\x09| d p s |\x0a\x09d := Domite fromElement: fixtureDiv.\x0a\x09p := Domite newElement: 'p'.\x0a\x09d << p.\x0a\x09s := Domite newElement: 'span'.\x0a\x09d << s.\x0a\x09d resetContents.\x0a\x09d << 'dom-mite'.\x0a\x09self assert: (document body innerHTML endsWith: '>dom-mite</div>')",
referencedClasses: ["Domite"],
//>>excludeEnd("ide");
messageSends: ["fromElement:", "newElement:", "<<", "resetContents", "assert:", "endsWith:", "innerHTML", "body"]
}),
$globals.DOMiteTest);


});
